Bug 1251802 - .xsession-errors shows the message "nouveau: kernel reject pushbuf", desktop is unresponsive
.xsession-errors shows the message "nouveau: kernel reject pushbuf", desktop ...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
22
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-09 22:22 EDT by Paulo Fessel
Modified: 2016-07-19 15:16 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 15:16:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paulo Fessel 2015-08-09 22:22:01 EDT
Description of problem: After the upgrade to FC22 (which includes Plasma 5), I am having random lock-ups of the Plasma 5 desktop; however, machine continues to stay available by SSH, and sometimes (not always) I can change to a virtual text console to try to restart the kdm service.

Investigating .xsession-errors, I found the following messages:

nouveau: kernel rejected pushbuf: Invalid argument
nouveau: ch0: krec 0 pushes 1 bufs 16 relocs 0
nouveau: ch0: buf 00000000 00000005 00000004 00000004 00000000
nouveau: ch0: buf 00000001 0000002c 00000002 00000002 00000000
nouveau: ch0: buf 00000002 00000036 00000002 00000002 00000000
nouveau: ch0: buf 00000003 00000007 00000002 00000002 00000000
nouveau: ch0: buf 00000004 00000008 00000002 00000002 00000002
nouveau: ch0: buf 00000005 0000000b 00000002 00000002 00000000
nouveau: ch0: buf 00000006 0000000a 00000002 00000002 00000002
nouveau: ch0: buf 00000007 00000006 00000004 00000000 00000004
nouveau: ch0: buf 00000008 00000051 00000004 00000000 00000004
nouveau: ch0: buf 00000009 00000062 00000002 00000000 00000002
nouveau: ch0: buf 0000000a 00000140 00000002 00000002 00000000
nouveau: ch0: buf 0000000b 00000021 00000002 00000002 00000000
nouveau: ch0: buf 0000000c 00000142 00000002 00000002 00000000
nouveau: ch0: buf 0000000d 00000144 00000002 00000002 00000000
nouveau: ch0: buf 0000000e 00000025 00000002 00000002 00000000
nouveau: ch0: buf 0000000f 00000146 00000002 00000002 00000000
nouveau: ch0: psh 00000000 0000000000 00000005dc
nouveau:        0x600c057c
nouveau:        0x00000000
nouveau:        0x00020001
nouveau:        0x00030003
nouveau:        0x00040004
nouveau:        0x00060005
nouveau:        0x00070007
nouveau:        0x00080008
nouveau:        0x000a0009
nouveau:        0x000b000b
nouveau:        0x000c000c
nouveau:        0x000e000d
nouveau:        0x000f000f
nouveau:        0x80000585
nouveau:        0x200308e0
nouveau:        0x00000100

...

And then when I try to click any icon on the screen, they are unresponsive, although the mouse pointer is responsive. The only way to regain control is logging into the machine again and then either restart kdm or, when this is not possible, power off it. I was already using Nouveau in FC21 and I never had this problem before.

Version-Release number of selected component (if applicable): 1.0.11-2.fc22


How reproducible: it is somewhat random, but I've noticed that mostly happens when leaving the computer unattended for a period of time. 


Steps to Reproduce:
1. Start computer and work with Plasma 5 desktop
2. Leave computer unattended for a period of time
3. When resuming computer use, the screen locker is not activated and the elements of the desktop are unresponsive.

Actual results: can't work with desktop, can't shut down computer gracefully locally

Expected results: resume work as usual after entering password


Additional info: I took a look into /var/log/messages and found these lines:

Aug  9 22:19:09 wotan kernel: nouveau E[plasmashell[2596]] fail set_domain
Aug  9 22:19:09 wotan kernel: nouveau E[plasmashell[2596]] validating bo list
Aug  9 22:19:09 wotan kernel: nouveau E[plasmashell[2596]] validate: -22
Aug  9 22:19:10 wotan kernel: nouveau E[plasmashell[2596]] fail set_domain
Aug  9 22:19:10 wotan kernel: nouveau E[plasmashell[2596]] validating bo list
Aug  9 22:19:10 wotan kernel: nouveau E[plasmashell[2596]] validate: -22
Aug  9 22:19:10 wotan kernel: nouveau E[plasmashell[2596]] fail set_domain
Aug  9 22:19:10 wotan kernel: nouveau E[plasmashell[2596]] validating bo list
Aug  9 22:19:10 wotan kernel: nouveau E[plasmashell[2596]] validate: -22
Aug  9 22:19:13 wotan kernel: nouveau E[   PFIFO][0000:02:00.0] read fault at 0x0000f88000 [PAGE_NOT_PRESENT] from PGRAPH/GPC0/UNK04 on channel 0x003f93c000 [plasmashell[2596]]
Aug  9 22:19:13 wotan kernel: nouveau E[   PFIFO][0000:02:00.0] PGRAPH engine fault on channel 9, recovering...
Aug  9 22:19:13 wotan kernel: nouveau E[  PGRAPH][0000:02:00.0] TRAP ch 9 [0x003f93c000 plasmashell[2596]]
Aug  9 22:19:13 wotan kernel: nouveau E[  PGRAPH][0000:02:00.0] GPC0/TPC0/TEX: 0x80000009
Aug  9 22:19:13 wotan kernel: nouveau E[  PGRAPH][0000:02:00.0] GPC0/TPC1/TEX: 0x80000009

and

Aug  9 22:55:52 wotan kernel: nouveau E[   PFIFO][0000:02:00.0] PBDMA0: (unknown bits 0x04000000)
Aug  9 22:55:52 wotan kernel: nouveau E[   PFIFO][0000:02:00.0] PBDMA0: ch 2 [Xorg[2087]] subc 0 mthd 0x001c data 0x00001004
Aug  9 22:55:52 wotan kernel: nouveau E[   PFIFO][0000:02:00.0] PBDMA0: (unknown bits 0x04000000)
Aug  9 22:55:52 wotan kernel: nouveau E[   PFIFO][0000:02:00.0] PBDMA0: ch 1 [DRM] subc 0 mthd 0x001c data 0x00001004
Aug  9 22:55:52 wotan kernel: nouveau E[   PFIFO][0000:02:00.0] PBDMA0: (unknown bits 0x04000000)
Aug  9 22:55:52 wotan kernel: nouveau E[   PFIFO][0000:02:00.0] PBDMA0: ch 1 [DRM] subc 0 mthd 0x001c data 0x00001001

# lshw -businfo follows: 

sudo lshw -businfo
Bus info          Device      Class       Description
=====================================================
                              system      System Product Name (To Be Filled By O.E.M.)
                              bus         M4A89TD PRO USB3
                              memory      64KiB BIOS
cpu@0                         processor   Phenom II (To Be Filled By O.E.M.)
                              memory      768KiB L1 cache
                              memory      3MiB L2 cache
                              memory      6MiB L3 cache
                              memory      16GiB System Memory
                              memory      4GiB DIMM DDR3 Synchronous 1333 MHz (0,8 ns)
                              memory      4GiB DIMM DDR3 Synchronous 1333 MHz (0,8 ns)
                              memory      4GiB DIMM DDR3 Synchronous 1333 MHz (0,8 ns)
                              memory      4GiB DIMM DDR3 Synchronous 1333 MHz (0,8 ns)
pci@0000:00:00.0              bridge      RD890 Northbridge only single slot PCI-e GFX Hydra part
pci@0000:00:00.2              generic     RD990 I/O Memory Management Unit (IOMMU)
pci@0000:00:04.0              bridge      RD890 PCI to PCI bridge (PCI express gpp port D)
pci@0000:06:00.0              storage     JMB361 AHCI/IDE
pci@0000:06:00.1              storage     JMB361 AHCI/IDE
pci@0000:00:05.0              bridge      RD890 PCI to PCI bridge (PCI express gpp port E)
pci@0000:05:00.0              bus         VT6315 Series Firewire Controller
pci@0000:00:06.0              bridge      RD890 PCI to PCI bridge (PCI express gpp port F)
pci@0000:04:00.0  p22p1       network     RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller
pci@0000:00:07.0              bridge      RD890 PCI to PCI bridge (PCI express gpp port G)
pci@0000:03:00.0              bus         uPD720200 USB 3.0 Host Controller
usb@2             usb2        bus         xHCI Host Controller
usb@2:1           scsi10      storage     Expansion Desk
scsi@10:0.0.0     /dev/sdi    disk        4TB Expansion Desk
scsi@10:0.0.0,1               volume      465GiB Linux filesystem partition
usb@1             usb1        bus         xHCI Host Controller
pci@0000:00:0b.0              bridge      RD890 PCI to PCI bridge (NB-SB link)
pci@0000:02:00.0              display     GF108 [GeForce GT 620]
pci@0000:02:00.1              multimedia  GF108 High Definition Audio Controller
pci@0000:00:11.0              storage     SB7x0/SB8x0/SB9x0 SATA Controller [AHCI mode]
pci@0000:00:12.0              bus         SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
usb@6             usb6        bus         OHCI PCI host controller
usb@6:1                       input       Back-UPS RS 1300 LCD FW:838.H5 .D USB FW:H5
usb@6:3                       input       CTE-650
usb@6:5                       input       PLAYSTATION(R)3 Controller
pci@0000:00:12.2              bus         SB7x0/SB8x0/SB9x0 USB EHCI Controller
usb@3             usb3        bus         EHCI Host Controller
usb@3:2                       bus         USB 2.0 Hub
usb@3:2.1                     multimedia  Webcam C270
pci@0000:00:13.0              bus         SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
usb@7             usb7        bus         OHCI PCI host controller
usb@7:1                       input       Microsoft
pci@0000:00:13.2              bus         SB7x0/SB8x0/SB9x0 USB EHCI Controller
usb@4             usb4        bus         EHCI Host Controller
pci@0000:00:14.0              bus         SBx00 SMBus Controller
pci@0000:00:14.3              bridge      SB7x0/SB8x0/SB9x0 LPC host controller
pci@0000:00:14.4              bridge      SBx00 PCI to PCI Bridge
pci@0000:01:05.0              storage     SiI 3114 [SATALink/SATARaid] Serial ATA Controller
pci@0000:01:06.0              multimedia  CA0106 Soundblaster
pci@0000:00:14.5              bus         SB7x0/SB8x0/SB9x0 USB OHCI2 Controller
usb@8             usb8        bus         OHCI PCI host controller
pci@0000:00:16.0              bus         SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
usb@9             usb9        bus         OHCI PCI host controller
pci@0000:00:16.2              bus         SB7x0/SB8x0/SB9x0 USB EHCI Controller
usb@5             usb5        bus         EHCI Host Controller
usb@5:4           scsi11      storage     USB2.0-CRW
scsi@11:0.0.0     /dev/sde    disk        SCSI Disk
scsi@11:0.0.1     /dev/sdf    disk        SCSI Disk
scsi@11:0.0.2     /dev/sdg    disk        SCSI Disk
scsi@11:0.0.3     /dev/sdh    disk        SCSI Disk
pci@0000:00:18.0              bridge      Family 10h Processor HyperTransport Configuration
pci@0000:00:18.1              bridge      Family 10h Processor Address Map
pci@0000:00:18.2              bridge      Family 10h Processor DRAM Controller
pci@0000:00:18.3              bridge      Family 10h Processor Miscellaneous Control
pci@0000:00:18.4              bridge      Family 10h Processor Link Control
                  scsi0       storage     
scsi@0:0.0.0      /dev/sda    disk        120GB KINGSTON SV300S3
scsi@0:0.0.0,2    /dev/sda2   volume      500MiB EXT4 volume
scsi@0:0.0.0,3    /dev/sda3   volume      111GiB Extended partition
                  /dev/sda5   volume      107GiB Linux filesystem partition
                  /dev/sda6   volume      4095MiB Linux swap / Solaris partition
                  scsi1       storage     
scsi@1:0.0.0      /dev/sdb    disk        2TB WDC WD20EZRX-00D
scsi@1:0.0.0,1    /dev/sdb1   volume      1863GiB RAID partition
                  scsi3       storage     
scsi@3:0.0.0      /dev/sdc    disk        2TB WDC WD20EZRX-00D
scsi@3:0.0.0,1    /dev/sdc1   volume      1863GiB RAID partition
                  scsi4       storage     
scsi@4:0.0.0      /dev/sdd    disk        2TB ST2000DL003-9VT1
scsi@4:0.0.0,1    /dev/sdd1   volume      1863GiB RAID partition
                  scsi15      storage     
scsi@15:0.0.0     /dev/cdrom  disk        BD-RE  WH10LS30
Comment 1 Paulo Fessel 2015-08-09 22:28:37 EDT
When issuing systemctl restart kdm.service, I got the following on /var/log/messages:

[100642.184685] nouveau E[kwin_x11[2588]] failed to idle channel 0xcccc0000 [kwin_x11[2588]]
[100642.184863] nouveau E[   PFIFO][0000:02:00.0] read fault at 0x0000013000 [PAGE_NOT_PRESENT] from PFIFO/BAR_READ on channel 0x003f9ca000 [unknown]
[100657.198323] nouveau E[abrt-applet[2640]] failed to idle channel 0xcccc0000 [abrt-applet[2640]]
[100672.189980] nouveau E[abrt-applet[2640]] failed to idle channel 0xcccc0000 [abrt-applet[2640]]

Screen is still frozen, only cure will be a reboot it seems.
Comment 2 hardy.heroin 2016-02-22 14:42:13 EST
I just wanted to add that I recognize the symptoms, even though I am currently running openSUSE. I ran into the same problem running Fedora 23, thought it had to do something specific with Fedora and switched to openSUSE LEAP 42.1 but I still have the same issue (random lockups of Plasma 5 while still being able to SSH into the system). 

When it happens I see error messages like this:

nouveau E[   PFIFO][0000:01:00.0] PBDMA0: GPPTR SIGNATURE
nouveau E[   PFIFO][0000:01:00.0] PBDMA0: ch 14 [kdesu[6410]] subc 0 mthd 0x0000 data 0x00000000
nouveau E[   PFIFO][0000:01:00.0] PBDMA0: SIGNATURE
nouveau E[   PFIFO][0000:01:00.0] PBDMA0: ch 14 [kdesu[6410]] subc 0 mthd 0x0000 data 0x00000000
nouveau E[   PFIFO][0000:01:00.0] PBDMA0: SIGNATURE
nouveau E[   PFIFO][0000:01:00.0] PBDMA0: ch 14 [kdesu[6410]] subc 0 mthd 0x0000 data 0x00000000
nouveau E[   PFIFO][0000:01:00.0] read fault at 0x0000000000 [PDE] from PBDMA0/HOST on channel 0x007ed4c000 [unknown]
nouveau E[y2base[6398]] failed to idle channel 0xcccc0000 [y2base[6398]]
nouveau E[y2base[6398]] failed to idle channel 0xcccc0000 [y2base[6398]]
nouveau E[ X[1163]] failed to idle channel 0xcccc0002 [X[1163]]
nouveau E[ X[1163]] failed to idle channel 0xcccc0002 [X[1163]]

And if I leave the system up for some days my logs fill up with nothing but repeating lines like this:
kernel: nouveau E[   PFIFO][0000:01:00.0] PBDMA0: ACQUIRE
kernel: nouveau E[   PFIFO][0000:01:00.0] PBDMA0: ch 2 [X[2425]] subc 0 mthd 0x001c data 0x00001004
kernel: nouveau E[   PFIFO][0000:01:00.0] PBDMA0: ACQUIRE
kernel: nouveau E[   PFIFO][0000:01:00.0] PBDMA0: ch 8 [plasmashell[2633]] subc 0 mthd 0x001c data 0x00001004


Just wanted to let you know that you are not alone in this Paulo.
Comment 3 Paulo Fessel 2016-02-22 16:30:16 EST
I gave up on Fedora altogether, since KDE was never their graphical desktop of choice and things on FC22 got really messed up.

It's been two months I'm running openSUSE Leap 42.1, and at least on my computer, these problems have vanished as long you run the latest and greatest Plasma 5.5, which is a default update for Leap since last December if I'm not mistaken. I also turned the switch on my wife's notebook this weekend, since her Fedora was already EOL'ed in that environment (fc20). No regrets at all, I feel the road is much less bumpy since then.
Comment 4 Fedora End Of Life 2016-07-19 15:16:53 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.